package com.xunhong.erp.turbo.api.biz.api;

import com.xunhong.erp.turbo.api.biz.dto.cmd.BoxBrandCreateCmd;
import com.xunhong.erp.turbo.api.biz.dto.cmd.BoxBrandDestroyCmd;
import com.xunhong.erp.turbo.api.biz.dto.cmd.BoxBrandDragCmd;
import com.xunhong.erp.turbo.api.biz.dto.cmd.BoxBrandUpdateCmd;
import com.xunhong.erp.turbo.api.biz.dto.qry.BoxBrandListQry;
import com.xunhong.erp.turbo.api.biz.dto.qry.BoxBrandPageQry;
import com.xunhong.erp.turbo.api.biz.dto.qry.BoxBrandShowQry;
import com.xunhong.erp.turbo.api.biz.dto.vo.BoxBrandVO;
import com.xunhong.erp.turbo.base.dto.PageDTO;

import java.util.List;

/**
 * @author shenyifei
 */
public interface BoxBrandServiceI {
	BoxBrandVO create(BoxBrandCreateCmd boxBrandCreateCmd);

	PageDTO<BoxBrandVO> page(BoxBrandPageQry boxBrandPageQry);

	List<BoxBrandVO> list(BoxBrandListQry boxBrandListQry);

	BoxBrandVO update(BoxBrandUpdateCmd boxBrandUpdateCmd);

	BoxBrandVO show(BoxBrandShowQry boxBrandShowQry);

	void destroy(BoxBrandDestroyCmd boxBrandDestroyCmd);

	void drag(BoxBrandDragCmd boxBrandDragCmd);
}
